Main Page Class List Class Members

# Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder Class Reference

`#include <NvBlastExtTkSerialization.capn.h>`

List of all members.

## Public Types
typedef TkAssetJointDesc | Builds
## Public Member Functions
void | adoptNodeIndices (::capnp::Orphan< ::capnp::List< ::uint32_t >> &&value)
Reader | asReader () const
| Builder (::capnp::_::StructBuilder base)
| Builder (decltype(nullptr))
| Builder ()
inline::capnp::List < ::uint32_t >::Builder | getNodeIndices ()
bool | hasNodeIndices ()
inline::capnp::List < ::uint32_t >::Builder | initNodeIndices (unsigned int size)
| operator Reader () const
void | setNodeIndices (::kj::ArrayPtr< const ::uint32_t > value)
void | setNodeIndices (::capnp::List< ::uint32_t >::Reader value)
inline::kj::StringTree | toString () const
inline::capnp::MessageSize | totalSize () const

## Member Typedef Documentation

typedef TkAssetJointDesc Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::Builds

## Constructor & Destructor Documentation

Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::Builder | ( |  | ) |

Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::Builder | ( | decltype(nullptr) |  | ) | `[inline]`

Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::Builder | ( | ::capnp::_::StructBuilder | base | ) | `[inline, explicit]`

## Member Function Documentation

void Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::adoptNodeIndices | ( | ::capnp::Orphan< ::capnp::List< ::uint32_t >> && | value | ) | `[inline]`

Reader Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::asReader | ( |  | ) | const`[inline]`

inline ::capnp::List< ::uint32_t>::Builder Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::getNodeIndices | ( |  | ) |

bool Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::hasNodeIndices | ( |  | ) | `[inline]`

inline ::capnp::List< ::uint32_t>::Builder Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::initNodeIndices | ( | unsigned int | size | ) |

Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::operator Reader | ( |  | ) | const`[inline]`

void Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::setNodeIndices | ( | ::kj::ArrayPtr< const ::uint32_t > | value | ) | `[inline]`

void Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::setNodeIndices | ( | ::capnp::List< ::uint32_t >::Reader | value | ) | `[inline]`

inline ::kj::StringTree Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::toString | ( |  | ) | const`[inline]`

inline ::capnp::MessageSize Nv::Blast::Serialization::TkAssetJointDesc::TkAssetJointDesc::Builder::totalSize | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- sdk/extensions/serialization/source/generated/NvBlastExtTkSerialization.capn.h